# galaxy-mixomics-blocksplsda
Galaxy wrappers for the block.splsda, plotIndiv and plotVar functions from the mixOmics R package

# Install for developers

Clone repository

```
$ git clone --recurse-submodules https://gitlab.com/bilille/galaxy-mixomics-blocksplsda.git
```

Add `galaxy-mixomics-blocksplsda` repository to `$GALAXYDIR/tools` directory.

Edit `$GALAXYDIR/config/tool_conf.xml` and add:

```
<section id="development" name="Tools development">
  <label id="mixomics_blocksplsda" name="mixOmics blocksplsda" />
    <tool file="galaxy-mixomics-blocksplsda/mixomics_blocksplsda.xml" />
    <tool file="galaxy-mixomics-blocksplsda/mixomics_plotindiv.xml" />
    <tool file="galaxy-mixomics-blocksplsda/mixomics_plotvar.xml" />
    <tool file="galaxy-mixomics-blocksplsda/matCor_addVar.xml" />
    <tool file="galaxy-mixomics-blocksplsda/computeMatSimilarity.xml" />
    <tool file="galaxy-mixomics-blocksplsda/circleCor.xml" />
    <tool file="galaxy-mixomics-blocksplsda/networkVar.xml" />
</section>
```

# Preparing Galaxy conda manual environment for visCorVar

Activate Galaxy self-installed conda (for your shell; bash here) and reload terminal

```
$ . $GALAXYDIR/database/dependencies/_conda/bin/conda init bash
```

Create and activate conda environment for visCorVar package

```
$ conda create --name __viscorvar@0.1 && conda activate __viscorvar@0.1
```

Install dependencies

```
$ conda install bioconductor-mixomics r-rdpack r-igraph
```

Manually install visCorVar package from repository

```
$ R

> install.packages("https://gitlab.com/bilille/mixomics-blocksplsda-integration/-/raw/master/visCorVar_0.1.tar.gz", repos=NULL)
> library(visCorVar)
```














